# do not edit -- automatically generated by arch changelog
# not-id: automatic-ChangeLog--bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0
#

2006-02-11 07:31:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-86

    Summary:
      fixed possible 64 bit compatibility problem
    Revision:
      syslog-ng--mainline--2.0--patch-86


    	* src/logwriter.c (log_writer_queue, log_writer_flush_log): use
    	GPOINTER_TO_UINT/GUINT_TO_POINTER macros instead of casting the
    	values by hand

    modified files:
     ChangeLog src/logwriter.c src/logwriter.h


2006-01-25 17:13:29 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-85

    Summary:
      added support for hostname resolution (fixes: #8036)
    Revision:
      syslog-ng--mainline--2.0--patch-85

    2006-01-25  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afinet.c: support an optional self->dest_addr

    	* src/afsocket.c (afsocket_dd_init): fail if self->dest_addr is NULL,
    	(afsocket_sd_init): fail if self->bind_addr is NULL

    	* src/gsockaddr.c (g_sockaddr_inet_new_resolve): new function,
    	resolves a hostname and stores the result in a GSockAddr,

    modified files:
     ChangeLog src/afinet.c src/afinet.h src/afsocket.c
     src/gsockaddr.c src/gsockaddr.h


2006-01-20 10:01:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-84

    Summary:
      added stats counter sharing and a way to disable stats counter
    Revision:
      syslog-ng--mainline--2.0--patch-84

    2006-01-20  Balazs Scheidler <bazsi@balabit.hu>

    	* src/stats.c (stats_register_counter): added shared parameter to
    	specify that the given counter can be shared

    	* src/logwriter.h (LogWriterOptions): added flags member and two
    	flags LWOF_NO_STATS, LWOF_SHARED_STATS

    	* src/logwriter.c (log_writer_options_init): converted fixed_stamp
    	parameter to a flag word, the actual value is LWOF_FIXED_STAMP,
    	(log_writer_init): don't register a stats counter if LWOF_NO_STAMP
    	is specified

    	* src/af*.c: changed the call of log_writer_options_init()


    modified files:
     ChangeLog src/affile.c src/afprog.c src/afsocket.c
     src/logwriter.c src/logwriter.h src/stats.c src/stats.h


2006-01-13 13:17:29 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-83

    Summary:
      added compatibility option for stats
    Revision:
      syslog-ng--mainline--2.0--patch-83

    2006-01-13  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l: added a "stats" keyword to be compatible with 1.6.x


    modified files:
     ChangeLog src/cfg-lex.l


2005-12-31 14:09:13 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-82

    Summary:
      fixed EOF detected messages for UDP destinations where the target is unreachable
    Revision:
      syslog-ng--mainline--2.0--patch-82

    2005-12-31  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_dd_init): don't set LW_DETECT_EOF for UDP
    	destinations

    	* src/logwriter.c (log_writer_fd_dispatch): EOF is detected only if
    	G_IO_IN is detected and not for G_IO_ERR as it might be set for UDP
    	destinations when they are unreachable


    modified files:
     ChangeLog src/afsocket.c src/logwriter.c


2005-12-20 20:52:38 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-81

    Summary:
      perparations for an 1.9.8 release
    Revision:
      syslog-ng--mainline--2.0--patch-81




    modified files:
     ChangeLog NEWS VERSION


2005-12-20 20:34:51 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-80

    Summary:
      fixed UDP destination driver initialization
    Revision:
      syslog-ng--mainline--2.0--patch-80

    2005-12-20  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_dd_connected): only check socket error
    	state for stream sockets as UDP connections succeed immediately,
    	(afsocket_dd_reconnect): if g_connect returns immediate success (UDP
    	connections) set self->fd to sock


    modified files:
     ChangeLog src/afsocket.c


2005-12-05 20:24:45 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-79

    Summary:
      fix time conversion to the specified timezone
    Revision:
      syslog-ng--mainline--2.0--patch-79

    2005-12-05  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logmsg.c (log_stamp_format): instead of substracting the
    	timezone offset substract it (credit for reporting goes to Andy),

    	* src/macros.c (log_macro_expand): -"-

    	* src/logmsg.c (log_msg_parse): time zone specifies can be more than
    	12 hours, fixed.

    modified files:
     ChangeLog src/logmsg.c src/macros.c


2005-12-03 16:42:19 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-78

    Summary:
      include VERSION in the dist
    Revision:
      syslog-ng--mainline--2.0--patch-78




    modified files:
     ChangeLog Makefile.am


2005-12-03 16:34:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-77

    Summary:
      fixed MARK support
    Revision:
      syslog-ng--mainline--2.0--patch-77

    2005-12-03  Balazs Scheidler <bazsi@balabit.hu>

    	* doc/reference/syslog-ng.xml: added some more words on mark_freq()
    	and stats_freq(), actually fixed the documentation as these options
    	were renamed for consistency

    	* src/afinter.c: move MARK implementation to here instead of
    	logreader, there's no point in creating MARK messages in the name of
    	all of our sources, we need to generate a single MARK message in our
    	name if there's no traffic

    	* src/main.c: removed the use of obsolete GLib functions


    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/afinter.c
     src/afinter.h src/center.c src/logreader.c src/logreader.h
     src/main.c


2005-12-03 15:49:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-76

    Summary:
      minor documentation updates, updated NEWS, bumped VERSION to 1.9.7
    Revision:
      syslog-ng--mainline--2.0--patch-76




    modified files:
     ChangeLog NEWS VERSION doc/reference/syslog-ng.xml


2005-12-03 15:29:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-75

    Summary:
      fixed a possible segmentation fault during HUPs
    Revision:
      syslog-ng--mainline--2.0--patch-75

    2005-12-03  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_sc_init): fixed DGRAM socket
    	initialization to actually process incoming data in packets (the
    	LR_PKTTERM flag was missed),
    	(afsocket_sd_deinit): don't free the connection list items when
    	iterating the list as connections are removed from the list when
    	they are freed, the loop there only needs to break the circular
    	references



    modified files:
     ChangeLog src/afsocket.c


2005-12-03 11:23:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-74

    Summary:
      added VERSION file
    Revision:
      syslog-ng--mainline--2.0--patch-74




    new files:
     .arch-ids/VERSION.id VERSION

    modified files:
     ChangeLog


2005-12-03 11:23:46 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-73

    Summary:
      added debianization files, misc build fixes
    Revision:
      syslog-ng--mainline--2.0--patch-73

    2005-12-03  Balazs Scheidler <bazsi@balabit.hu>

    	* debian/*: added debianization files

    	* configure.in: added VERSION file instead of having the actual
    	VERSION inline, added CURRDATE to make it possible to generate
    	debian/changelog automatically


    new files:
     debian/.arch-ids/=id debian/.arch-ids/README.Debian.id
     debian/.arch-ids/changelog.in.id debian/.arch-ids/control.id
     debian/.arch-ids/copyright.id debian/.arch-ids/rules.id
     debian/.arch-ids/syslog-ng.conf.example.id
     debian/.arch-ids/syslog-ng.conf.id
     debian/.arch-ids/syslog-ng.default.id
     debian/.arch-ids/syslog-ng.docs.id
     debian/.arch-ids/syslog-ng.files.id
     debian/.arch-ids/syslog-ng.init.id
     debian/.arch-ids/syslog-ng.logcheck.ignore.id
     debian/.arch-ids/syslog-ng.logrotate.example.id
     debian/.arch-ids/syslog-ng.logrotate.id
     debian/.arch-ids/syslog-ng.postinst.id
     debian/.arch-ids/syslog-ng.postrm.id
     debian/.arch-ids/syslog-ng.preinst.id debian/README.Debian
     debian/changelog.in debian/control debian/copyright
     debian/rules debian/syslog-ng.conf
     debian/syslog-ng.conf.example debian/syslog-ng.default
     debian/syslog-ng.docs debian/syslog-ng.files
     debian/syslog-ng.init debian/syslog-ng.logcheck.ignore
     debian/syslog-ng.logrotate debian/syslog-ng.logrotate.example
     debian/syslog-ng.postinst debian/syslog-ng.postrm
     debian/syslog-ng.preinst

    modified files:
     ChangeLog Makefile.am configure.in

    new directories:
     debian debian/.arch-ids


2005-11-25 15:25:19 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-72

    Summary:
      fixed Solaris STREAMS based log device support
    Revision:
      syslog-ng--mainline--2.0--patch-72

    2005-11-25  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_dd_format_stats_name): fix compiler
    	warning about uninitialized driver_name, the switch statement
    	covers every possible case

    	* src/afstreams.c: fix compilation issues, it now actually compiles
    	and works on Solaris (tested on Solaris 9)


    modified files:
     ChangeLog configure.in src/afsocket.c src/afstreams.c


2005-11-23 16:31:48 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-71

    Summary:
      fixed timezone calculation
    Revision:
      syslog-ng--mainline--2.0--patch-71

    2005-11-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc (get_local_timezone_ofs): fixed timezone calculation again,

    	* tests/unit/test_zone.c: added some missing testcases for timezones
    	over 12 hours (New Zealand)

    	* tests/unit/test_filters.c: fixed facility testing as the code was changed


    modified files:
     ChangeLog src/misc.c tests/unit/test_filters.c
     tests/unit/test_zone.c


2005-11-15 15:35:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-70

    Summary:
      fixed the detetion of Solaris STREAMS support, fixed segfault when it was not compiled in
    Revision:
      syslog-ng--mainline--2.0--patch-70




    modified files:
     ChangeLog configure.in src/afstreams.c


2005-11-03 17:03:26 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-69

    Summary:
      fixed log message concatenation in certain cases
    Revision:
      syslog-ng--mainline--2.0--patch-69

    2005-11-03  Balazs Scheidler <bazsi@balabit.hu>

    	* src/templates.c (log_template_format): truncate the string before
    	formatting a log message


    modified files:
     ChangeLog src/templates.c


2005-10-24 08:40:59 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-68

    Summary:
      readded syslog-ng.h as it was missed from the distribution
    Revision:
      syslog-ng--mainline--2.0--patch-68




    modified files:
     ChangeLog src/Makefile.am


2005-10-22 21:29:23 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-67

    Summary:
      stats.c & stats.h were not commited in the previous patch
    Revision:
      syslog-ng--mainline--2.0--patch-67




    new files:
     src/.arch-ids/stats.c.id src/.arch-ids/stats.h.id src/stats.c
     src/stats.h

    modified files:
     ChangeLog


2005-10-22 21:28:46 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-66

    Summary:
      added per-destination dropped counters and some bugfixes
    Revision:
      syslog-ng--mainline--2.0--patch-66

    2005-10-22  Balazs Scheidler <bazsi@balabit.hu>

    	* src/stats.{c,h}: new files, a simple framework for named
    	statistical counters, currently only used for per-destination
    	dropped counters

    	* src/message.c, src/messages.h (msg_event): the function was split
    	to msg_event_create and msg_event_send functions and macros were
    	changed accordingly, the reason is that the STATS message uses
    	dynamic message tags

    	* src/main.c (stats_timer): new function to issue statistics message
    	using the stats framework

    	* src/logwriter.h (LogWriterOptions): added stats_name member
    	which is used when registering the dropped counters,
    	(LogWriter): added dropped_messages member to point to our private
    	dropped counter

    	* src/logwriter.c (log_writer_init): register dropped counter,
    	(log_writer_free): deregister dropped counter,
    	(log_writer_options_init): store the name of the dropped counter,
    	added a warning message for the flush_lines > fifo_size case as this
    	will not work,
    	(log_writer_flush_log): call log_writer_broken when an error occurs,
    	(log_writer_broken): changed argument list to be usable from
    	log_writer_flush_log, log message moved out of the function as it
    	might be called from different places,
    	(log_writer_queue): increment dropped counter,
    	(log_writer_fd_prepare, log_writer_fd_check): fixed flush_timeout
    	handling

    	* src/Makefile.am: moved headers to SOURCES from EXTRA_DIST
    	(I like it better this way (tm))

    	* src/logpipe.h, src/logmsg.h: don't include glib.h directly, use
    	syslog-ng.h instead

    	* src/misc.c (format_zone_info): readded ':' to zone offset
    	formatting, which was missed in the previous patch, fixed the sign
    	for zone offsets

    	* src/logmsg.c (log_stamp_format): the buffer for the zone offset
    	was not large enough to hold the readded ':'

    	* src/cfg-grammar.y, src/cfg-lex.l: added global stats_freq option

    	* src/afprog.c, src/affile.c, src/afprog.c: added
    	dropped stats support

    	* src/afsocket.c: added dropped stats support,
    	(afsocket_dd_connected): do not reinit the writer,
    	(afsocket_dd_init): do not create a new LogWriter instance every
    	time, but reuse the previous one instead,
    	(afsocket_dd_free): fix memory leak by freeing self->writer

    removed files:
     src/.arch-ids/sdriver.c.id src/sdriver.c

    modified files:
     ChangeLog src/Makefile.am src/affile.c src/afprog.c
     src/afsocket.c src/cfg-grammar.y src/cfg-lex.l src/logmsg.c
     src/logmsg.h src/logpipe.h src/logwriter.c src/logwriter.h
     src/main.c src/messages.c src/messages.h src/misc.c


2005-10-22 17:20:32 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-65

    Summary:
      do not use the LOG_FAC macro as it is not portable
    Revision:
      syslog-ng--mainline--2.0--patch-65

    2005-10-22  Balazs Scheidler <bazsi@balabit.hu>

    	* src/filter.c: do not use the LOG_FAC macro, it is not available on
    	Solaris

    	* doc/reference/syslog-ng.xml: added documentation on the alternate
    	syntax of the facility() filter

    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/filter.c


2005-10-21 16:07:47 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-64

    Summary:
      test commit for syslog-ng-commit message
    Revision:
      syslog-ng--mainline--2.0--patch-64




    modified files:
     ChangeLog src/logmsg.c


2005-10-18 15:40:14 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-63

    Summary:
      added a note on empty source/destination statements
    Revision:
      syslog-ng--mainline--2.0--patch-63




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2005-10-15 16:36:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-62

    Summary:
      fixed non-null terminated utmp username handling
    Revision:
      syslog-ng--mainline--2.0--patch-62

    2005-10-15  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afuser.c: instead of assuming that names in utmp are NUL
    	terminated (which turned out not to be true), limit the length of
    	comparison to sizeof(ut->ut_name)


    modified files:
     ChangeLog src/afuser.c


2005-10-15 16:15:57 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-61

    Summary:
      preparation for the 1.9.6 release
    Revision:
      syslog-ng--mainline--2.0--patch-61




    modified files:
     ChangeLog NEWS configure.in


2005-10-15 16:04:45 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-60

    Summary:
      fixed problems in syslog priority filter, added unit test for most built-in filters
    Revision:
      syslog-ng--mainline--2.0--patch-60

    2005-10-15  Balazs Scheidler <bazsi@balabit.hu>

    	* src/filter.c (filter_facility_eval): added facility value ->
    	bitmap position cache for improved performance,
    	(filter_level_eval): fixed filter evaluation (the function
    	erroneously used the same values for the internal valid bitmap and
    	the syslog header priority value), a similar search through
    	sl_levels is required as was already present for facility filtering, also
    	the same cache mechanism was added for improved performance

    	* tests/unit/test_filter.c: new unit test file, tests most easily
    	testable filters, AND/OR operations and negation


    new files:
     tests/unit/.arch-ids/test_filters.c.id
     tests/unit/test_filters.c

    modified files:
     ChangeLog configure.in src/filter.c tests/unit/Makefile.am
     tests/unit/test_msgparse.c


2005-10-15 14:25:22 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-59

    Summary:
      timezone DST fixes
    Revision:
      syslog-ng--mainline--2.0--patch-59

    2005-10-15  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: removed check for the global timezone variable

    	* src/misc.c (get_local_timezone_ofs): use tm->tm_gmtoff if
    	available and the difference between the results of gmtime and
    	localtime if not, this should be a portable way to determine the
    	correct timezone offset,
    	(format_zone_info): new function to format a timezone offset in a
    	way similar to strftime %z

    	* src/logmsg.c (log_stamp_format): use the new format_zone_info
    	function

    	* src/macros.c (log_macro_expand): always use the new
    	format_zone_info function instead of strftime

    	* doc/reference/syslog-ng.xml: TZ is now equivalent to TZOFFSET


    new files:
     tests/unit/.arch-ids/test_zone.c.id tests/unit/test_zone.c

    modified files:
     ChangeLog configure.in doc/reference/syslog-ng.xml
     src/logmsg.c src/macros.c src/misc.c src/misc.h
     tests/unit/Makefile.am tests/unit/test_msgparse.c


2005-10-07 16:16:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-58

    Summary:
      added a missing "return"
    Revision:
      syslog-ng--mainline--2.0--patch-58

    2005-10-07  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc.c (get_local_timezone_ofs): added a missing return



    modified files:
     ChangeLog src/misc.c


2005-10-05 13:48:34 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-57

    Summary:
      check for gmt_off in struct tm and detect timezone accordingly
    Revision:
      syslog-ng--mainline--2.0--patch-57

    2005-10-05  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: added a test for tm_gmtoff in struct tm as it is not
    	present on Solaris

    	* src/misc.c: use the old global timezone based timezone detection code
    	if tm_gmtoff is not present in "struct tm"


    modified files:
     ChangeLog configure.in src/misc.c


2005-10-01 21:39:51 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-56

    Summary:
      fixed facility/priority filters
    Revision:
      syslog-ng--mainline--2.0--patch-56




    modified files:
     ChangeLog src/filter.c


2005-09-26 09:16:38 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-55

    Summary:
      contrib subdirectory and its contents copied from syslog-ng 1.6.x
    Revision:
      syslog-ng--mainline--2.0--patch-55




    new files:
     contrib/.arch-ids/=id contrib/.arch-ids/Makefile.am.id
     contrib/.arch-ids/README.id contrib/.arch-ids/init.d.HP-UX.id
     contrib/.arch-ids/init.d.RedHat-7.3.id
     contrib/.arch-ids/init.d.RedHat.id
     contrib/.arch-ids/init.d.SuSE.id
     contrib/.arch-ids/init.d.SunOS.id
     contrib/.arch-ids/init.d.solaris.id
     contrib/.arch-ids/relogger.pl.id
     contrib/.arch-ids/syslog-ng.conf.HP-UX.id
     contrib/.arch-ids/syslog-ng.conf.RedHat.id
     contrib/.arch-ids/syslog-ng.conf.SunOS.id
     contrib/.arch-ids/syslog-ng.conf.doc.id
     contrib/.arch-ids/syslog-ng.vim.id
     contrib/.arch-ids/syslog2ng.id contrib/Makefile.am
     contrib/README contrib/fedora-packaging/.arch-ids/=id
     contrib/fedora-packaging/.arch-ids/syslog-ng.conf.id
     contrib/fedora-packaging/.arch-ids/syslog-ng.init.id
     contrib/fedora-packaging/.arch-ids/syslog-ng.logrotate.id
     contrib/fedora-packaging/.arch-ids/syslog-ng.sysconfig.id
     contrib/fedora-packaging/syslog-ng.conf
     contrib/fedora-packaging/syslog-ng.init
     contrib/fedora-packaging/syslog-ng.logrotate
     contrib/fedora-packaging/syslog-ng.sysconfig
     contrib/init.d.HP-UX contrib/init.d.RedHat
     contrib/init.d.RedHat-7.3 contrib/init.d.SuSE
     contrib/init.d.SunOS contrib/init.d.solaris
     contrib/relogger.pl contrib/rhel-packaging/.arch-ids/=id
     contrib/rhel-packaging/.arch-ids/syslog-ng.conf.id
     contrib/rhel-packaging/.arch-ids/syslog-ng.init.id
     contrib/rhel-packaging/.arch-ids/syslog-ng.logrotate.id
     contrib/rhel-packaging/syslog-ng.conf
     contrib/rhel-packaging/syslog-ng.init
     contrib/rhel-packaging/syslog-ng.logrotate
     contrib/syslog-ng.conf.HP-UX contrib/syslog-ng.conf.RedHat
     contrib/syslog-ng.conf.SunOS contrib/syslog-ng.conf.doc
     contrib/syslog-ng.vim contrib/syslog2ng

    modified files:
     ChangeLog Makefile.am configure.in

    new directories:
     contrib contrib/.arch-ids contrib/fedora-packaging
     contrib/fedora-packaging/.arch-ids contrib/rhel-packaging
     contrib/rhel-packaging/.arch-ids


2005-08-30 07:35:56 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-54

    Summary:
      fixed template-escape processing for inline templates
    Revision:
      syslog-ng--mainline--2.0--patch-54

    2005-08-30  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c (affile_dd_set_file_template,
    	affile_dd_set_template_escape, affile_dd_set_fsync): removed as
    	templates are logwriter specific options,
    	(affile_dd_new): do not allocate 'templates' variable,
    	(affile_dd_free): do not free 'templates'

    	* src/affile.h (AFFileDestDriver): removed template variable as it
    	was not used

    	* src/cfg-grammar.y (dest_writer_option): template_escape and fsync
    	were erroneously calling affile specific functions, fixed that

    	* src/logwriter.c (log_writer_options_set_template_escape): new function,
    	basically transformed from affile_dd_set_template_escape


    modified files:
     ChangeLog src/affile.c src/affile.h src/cfg-grammar.y
     src/logwriter.c


2005-08-29 07:56:11 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-53

    Summary:
      added configure test for regexec() function
    Revision:
      syslog-ng--mainline--2.0--patch-53




    modified files:
     ChangeLog configure.in


2005-08-08 07:37:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-52

    Summary:
      fixed test_msgparse program to work on BSDs
    Revision:
      syslog-ng--mainline--2.0--patch-52

    2005-08-08  Balazs Scheidler <bazsi@balabit.hu>

    	* tests/unit/test_msgparse.c (main): do not use "timezone" as a
    	global variable as it is a function on BSD derived platforms


    modified files:
     ChangeLog tests/unit/test_msgparse.c


2005-08-07 17:31:23 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-51

    Summary:
      fixed file uid/gid setting and some gcc4 problems
    Revision:
      syslog-ng--mainline--2.0--patch-51

    2005-08-07  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c: fixed affile_dd_set_{file,dir}_{uid,gid}

    	* src/*.h: added complete prototypes for all functions



    modified files:
     ChangeLog src/affile.c src/affile.h src/afinter.h src/cfg.h
     src/memtrace.h src/messages.h src/misc.c src/misc.h


2005-08-04 12:28:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-50

    Summary:
      fixed mark_freq problem
    Revision:
      syslog-ng--mainline--2.0--patch-50

    2005-08-04  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logreader.c (log_reader_fd_prepare): make sure make_target is
    	initialized before going to the poll loop first


    modified files:
     ChangeLog src/logreader.c


2005-08-04 11:11:39 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-49

    Summary:
      deprecated sync_freq, introduced flush_lines instead, fixed a faction of seconds formatting problem
    Revision:
      syslog-ng--mainline--2.0--patch-49

    2005-08-04  Balazs Scheidler <bazsi@balabit.hu>

    	* doc/reference/syslog-ng.xml: added documentation on the new
    	flush_lines and flush_timeout options

    	* src/affile.c (affile_dd_set_sync_freq): removed sync_freq support,
    	did not work anyway, introduced flush_lines & flush_timeout instead

    	* src/afinet.c (afinet_dd_set_sync_freq): removed

    	* src/cfg-grammar.y: added flush options

    	* src/cfg.c: -"-

    	* src/logwriter.c: added flush_lines and flush_timeout support

    	* src/logmsg.c: fixed time fraction formatting



    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/affile.c
     src/affile.h src/afinet.c src/cfg-grammar.y src/cfg-lex.l
     src/cfg.c src/cfg.h src/logmsg.c src/logwriter.c
     src/logwriter.h


2005-07-30 20:48:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-48

    Summary:
      further fixes to the previous patch to unify tcp/udp codepaths in afsocket, test program fixes
    Revision:
      syslog-ng--mainline--2.0--patch-48

    2005-07-30  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afinter.c (afinter_source_dispatch): do not dispatch message
    	if it is NULL (might happen if several internal sources are defined)

    	* src/afsocket.c (afsocket_sc_queue): removed bogus internal error message,
    	(afsocket_sd_init): added error handling around listen()

    	* tests/functional/func_test.py: added AF_INET testing (udp & tcp)

    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog src/afinter.c src/afsocket.c
     tests/functional/func_test.py


2005-07-30 20:20:50 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-47

    Summary:
      fixed stupid UDP initialization problem and updated a unit test program
    Revision:
      syslog-ng--mainline--2.0--patch-47

    2005-07-30  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_sd_init): fixed stupid mistake in UDP
    	initialization code

    	* tests/unit/test_msgparse.c: adapted to the new timezone parsing
    	code (msg has the local timezone by default instead of -1)

    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog src/afsocket.c tests/unit/test_msgparse.c


2005-07-28 13:39:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-46

    Summary:
      added cfg-lex.c and cfg-grammar.c to the distribution
    Revision:
      syslog-ng--mainline--2.0--patch-46




    modified files:
     ChangeLog src/Makefile.am


2005-07-28 13:37:23 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-45

    Summary:
      small Makefile fixes and a flex compatibility fix
    Revision:
      syslog-ng--mainline--2.0--patch-45

    2005-07-28  Balazs Scheidler <bazsi@balabit.hu>

    	* src/Makefile.am: added cfg-lex.c and cfg-grammar.c to
    	 MAINTAINER_CLEAN_FILES

    	* src/cfg-lex.l: removed YY_NO_UNPUT as it was not standard
    	(reported by Roberto Nibali)


    modified files:
     ChangeLog src/Makefile.am src/cfg-lex.l


2005-07-26 09:23:24 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-44

    Summary:
      use the same code path for SOCK_STREAM and SOCK_DGRAM sockets
    Revision:
      syslog-ng--mainline--2.0--patch-44

    2005-07-26  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_sd_init, afsocket_sd_deinit): unified
    	SOCK_STREAM and SOCK_DGRAM code-paths, do not use a separate reader
    	for SOCK_DGRAM, use AFSocketSourceConnection instead for both types,
    	(afsocket_sd_format_persist_name): new function, to format a
    	persistent config name, instead of doing it inline every time


    modified files:
     ChangeLog src/afsocket.c src/afsocket.h


2005-07-26 09:21:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-43

    Summary:
      timezone portability fixes for BSDs
    Revision:
      syslog-ng--mainline--2.0--patch-43

    2005-07-26  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc.c (get_local_timezone_ofs): added a time_t when argument,
    	the timezone will be returned for that given time in UTC, the
    	algorithm to return a timezone does not rely on the timezone and
    	daytime global variables as those are Linux specific

    	* src/macros.c (log_macro_expand): pass the appropriate time for get_local_timezone_ofs()

    	* src/logmsg.c (log_msg_parse, log_msg_init): -"-

    	* src/affile.c (affile_dd_queue): -"-

    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog src/affile.c src/logmsg.c src/macros.c src/misc.c
     src/misc.h


2005-07-07 09:43:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-42

    Summary:
      updated NEWS file and version number in configure.in
    Revision:
      syslog-ng--mainline--2.0--patch-42




    modified files:
     ChangeLog NEWS configure.in


2005-07-07 09:33:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-41

    Summary:
      fix match references
    Revision:
      syslog-ng--mainline--2.0--patch-41

    2005-07-07  Balazs Scheidler <bazsi@balabit.hu>

    	* src/templates.c (log_template_compile): fix match references not
    	to include the reference number itself

    modified files:
     ChangeLog src/templates.c


2005-07-07 09:15:47 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-40

    Summary:
      fixed possible memory/fd leak when a filename contains macros
    Revision:
      syslog-ng--mainline--2.0--patch-40

    2005-07-07  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logwriter.c (log_writer_deinit): fixed memory/fd leak, unref
    	self->source as well as destroy it


    modified files:
     ChangeLog src/logwriter.c


2005-06-30 08:58:24 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-39

    Summary:
      fixed use_time_recvd() option handling, documentation updates
    Revision:
      syslog-ng--mainline--2.0--patch-39

    2005-06-30  Balazs Scheidler <bazsi@balabit.hu>

    	* doc/reference/syslog-ng.xml: updated documentation, removed
    	non-existing template timezone option, separate Macros section,
    	added a table on common destination options, added prefixed time
    	related macros without documentation, added DEPRECATED notice to
    	use_time_recvd(), added documentation on ts_format

    	* src/affile.c: use the value for the global use_time_recvd() option
    	when expanding a filename

    	* src/logwriter.c: use the value for the global use_time_recvd()
    	option when expanding the log message


    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/affile.c
     src/affile.h src/logwriter.c src/logwriter.h


2005-06-27 09:27:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-38

    Summary:
      fix file/directory permission handling
    Revision:
      syslog-ng--mainline--2.0--patch-38

    2005-06-27  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c (affile_dw_init): use the file/dir permissions set by the user


    modified files:
     ChangeLog src/affile.c


2005-06-27 09:13:38 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-37

    Summary:
      removed a nested function from affile.c
    Revision:
      syslog-ng--mainline--2.0--patch-37

    2005-06-27  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c (affile_dd_reap_writers): gcc4 does not like nested
    	functions, do not use that


    modified files:
     ChangeLog src/affile.c


2005-06-24 07:57:18 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-36

    Summary:
      added sync() alias for sync_freq() to maintain 1.6.x compatibility
    Revision:
      syslog-ng--mainline--2.0--patch-36

    2005-06-24  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l: added sync() alias for sync_freq() to maintain
    	compatibility with 1.6.x


    modified files:
     ChangeLog src/cfg-lex.l


2005-06-23 08:50:45 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-35

    Summary:
      added WEEK macro to macro expansion
    Revision:
      syslog-ng--mainline--2.0--patch-35

    2005-06-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/macros.c, src/macros.h: added support for WEEK, R_WEEK and
    	S_WEEK macros

    	* doc/reference/syslog-ng.xml: added documentation on the WEEK macro

    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/macros.c
     src/macros.h


2005-06-05 00:00:28 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-34

    Summary:
      timezone cleanup and fixes, fixed name resolving for socket sources
    Revision:
      syslog-ng--mainline--2.0--patch-34

    2005-06-05  Balazs Scheidler <bazsi@balabit.hu>

    	* doc/reference/syslog-ng.xml: added a section on timezones

    	* src/cfg-grammar.y, src/cfg-lex.l: removed timezone options from
    	templates, removed zone_offset_set variables, a timezone value of -1
    	indicates unset state instead,
    	(tz_convert) use explicit timezone specification instead,
    	(recv-time-zone, send-time-zone): new keywords to specify default
    	incoming/outgoing timezones

    	* src/affile.c: adapted to the latest log_template_format() changes

    	* src/cfg.c (cfg_tz_convert_value): removed,
    	(cfg_new): initialize sent/recv timezones

    	* src/fdread.c: fixed a bug in recvfrom, the length for the sockaddr
    	structure was incorrectly specified

    	* src/logmsg.c (log_stamp_format): instead of tz_convert use
    	zone_offset, fixed a problem in zone formatting,
    	(log_msg_parse): a value of -1 indicates "unspecified" zone for
    	incoming messages, use get_local_time_zone_ofs() function instead of
    	referencing the timezone variable directly,
    	(log_msg_init): use get_local_time_zone_ofs()

    	* src/logreader.c (log_reader_handle_line): use only set the
    	timezone associated with the incoming message if it has no timezone setting,
    	(log_reader_options_defaults, log_reader_options_init): inherit
    	default value for zone_offset from recv_zone_offset in the global configuration

    	* src/logwriter.c: adapted to log_template_format changes,
    	inherit zone_offset from send_zone_offset

    	* src/macros.c: added STAMP, R_STAMP and S_STAMP macros to represent
    	the message timestamp formatted as specified by the ts_format()
    	global option,
    	(log_macro_expand): added ts_format argument, and the implementation
    	of the STAMP macro

    	* src/misc.c (get_local_timezone_ofs): new function, calculates and
    	returns the current timezone offset in seconds

    	* src/templates.c (log_template_format): added ts_format and
    	zone_offset arguments



    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/affile.c
     src/cfg-grammar.y src/cfg-lex.l src/cfg.c src/cfg.h
     src/fdread.c src/logmsg.c src/logmsg.h src/logreader.c
     src/logreader.h src/logwriter.c src/logwriter.h src/macros.c
     src/macros.h src/misc.c src/misc.h src/templates.c
     src/templates.h tests/unit/test_msgparse.c
     tests/unit/test_template.c


2005-06-04 18:23:57 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-33

    Summary:
      added static linking option to configure, small fixes
    Revision:
      syslog-ng--mainline--2.0--patch-33

    2005-06-04  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: added --enable-static-linking option

    	* src/cfg-lex.l: fixed problem that caused keyword recognition
    	problems, words that began with a reserved word were erroneously
    	recognized as the reserved word (user vs usertty)

    	* src/cfg.c: added error checking for file_template and
    	proto_template options

    	* src/logmsg.c (log_msg_init): always set frac_present to TRUE,
    	(log_msg_parse): frac_present is set to FALSE if there was a
    	timestamp which did not contain fractions

    removed files:
     .arch-ids/aclocal.m4.id aclocal.m4

    modified files:
     .arch-inventory ChangeLog configure.in src/cfg-grammar.y
     src/cfg-lex.l src/cfg.c src/logmsg.c src/syslog-ng.h


2005-05-19 06:44:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-32

    Summary:
      configure.in and some warning fixes
    Revision:
      syslog-ng--mainline--2.0--patch-32

    2005-05-19  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: removed no-define from AM_INIT_AUTOMAKE as this made
    	PACKAGE and VERSION preprocessor symbols undefined

    	* src/macros.c: fixed uninitialized variable for MSGONLY processing

    	* src/cfg.c: fixed two type-punned pointer references


    modified files:
     ChangeLog configure.in src/cfg.c src/macros.c


2005-05-19 06:41:45 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-31

    Summary:
      treat use_fqdn correctly when getting local hostname
    Revision:
      syslog-ng--mainline--2.0--patch-31

    2005-05-19  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc.c (getlonghostname): new function, returns the fully
    	qualified domain name for localhost,
    	(resolve_hostname): use the new getlonghostname, if use_fqdn was
    	TRUE

    NEWS
    	*
    NEWS.hu
    	*

    modified files:
     ChangeLog src/misc.c src/misc.h


2005-04-27 08:09:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-30

    Summary:
      cleaned up tla inventory files
    Revision:
      syslog-ng--mainline--2.0--patch-30


    new files:
     .arch-ids/.arch-inventory.id .arch-inventory
     src/.arch-ids/.arch-inventory.id src/.arch-inventory

    modified files:
     ChangeLog {arch}/=tagging-method


2005-04-27 08:06:42 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-29

    Summary:
      Solaris portability fixes
    Revision:
      syslog-ng--mainline--2.0--patch-29

    2005-04-27  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: added ld detection code to discover static linking arguments

    	* tests/unit/test_msgparse.c: added <string.h>

    	* tests/unit/Makefile.am: instead of noinst, use check prefix to avoid
    	building the testprograms during regular builds


    modified files:
     ChangeLog configure.in tests/unit/Makefile.am
     tests/unit/test_msgparse.c


2005-04-21 08:51:33 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-28

    Summary:
      fixed a docbug in doc/reference/syslog-ng.xml
    Revision:
      syslog-ng--mainline--2.0--patch-28




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2005-04-16 11:12:27 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-27

    Summary:
      added dist.conf and added automatic substitution of some dynamic variables in the documentation
    Revision:
      syslog-ng--mainline--2.0--patch-27




    new files:
     .arch-ids/dist.conf.in.id dist.conf.in
     doc/.arch-ids/docvars.xml.in.id doc/docvars.xml.in

    modified files:
     ChangeLog configure.in doc/Makefile.am
     doc/reference/syslog-ng.xml


2005-04-16 10:11:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-26

    Summary:
      removed "reference/" the root path for the reference syslog-ng.html.tar.gz
    Revision:
      syslog-ng--mainline--2.0--patch-26




    modified files:
     ChangeLog doc/Makefile.am


2005-04-15 08:10:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-25

    Summary:
      Configure fix to --enable-dynamic-linking
    Revision:
      syslog-ng--mainline--2.0--patch-25

    2005-04-15  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: do not enforce static glib if --enable-dynamic-linking was specified


    modified files:
     ChangeLog configure.in


2005-04-03 11:24:28 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-24

    Summary:
      fixed release numbers in NEWS
    Revision:
      syslog-ng--mainline--2.0--patch-24




    modified files:
     ChangeLog NEWS


2005-04-03 11:22:50 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-23

    Summary:
      updated NEWS file, bumped version to 1.9.4
    Revision:
      syslog-ng--mainline--2.0--patch-23




    modified files:
     ChangeLog NEWS configure.in


2005-04-03 11:21:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-22

    Summary:
      improved configure tests
    Revision:
      syslog-ng--mainline--2.0--patch-22


    2005-04-03  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: improved configure tests

    modified files:
     ChangeLog configure.in


2005-03-04 15:53:33 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-21

    Summary:
      added template unit tests
    Revision:
      syslog-ng--mainline--2.0--patch-21




    new files:
     tests/unit/.arch-ids/test_template.c.id
     tests/unit/test_template.c

    modified files:
     ChangeLog


2005-03-04 15:53:16 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-20

    Summary:
      fixed reference generation
    Revision:
      syslog-ng--mainline--2.0--patch-20




    modified files:
     ChangeLog doc/Makefile.am


2005-02-28 16:45:16 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-19

    Summary:
      Fixed (filename, logoutput) template compilation
    Revision:
      syslog-ng--mainline--2.0--patch-19

    2005-02-28  Balazs Scheidler <bazsi@balabit.hu>

    	* src/templates.c (log_template_compile, log_template_format): fixed
    	a problem in template comilation as it messed up the formatted string


    modified files:
     ChangeLog configure.in src/Makefile.am src/syslog-ng.conf
     src/templates.c tests/unit/Makefile.am


2005-02-28 08:57:20 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-18

    Summary:
      Changed g_queue_get_length to g_queue_is_empty as it makes syslog-ng compatible with glib 2.2
    Revision:
      syslog-ng--mainline--2.0--patch-18

    2005-02-28  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afinter.c: instead of using "!!g_queue_get_length()" use
    	"!g_queue_is_empty()"


    modified files:
     ChangeLog src/afinter.c


2005-02-12 23:05:09 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-17

    Summary:
      Updated documentation (manpages)
    Revision:
      syslog-ng--mainline--2.0--patch-17


    modified files:
     ChangeLog configure.in doc/man/syslog-ng.8
     doc/man/syslog-ng.conf.5 src/main.c


2005-01-22 00:50:50 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-16

    Summary:
      removed doc/reference/make.sh from dist as it is not needed
    Revision:
      syslog-ng--mainline--2.0--patch-16




    modified files:
     ChangeLog doc/Makefile.am


2005-01-22 00:48:47 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-15

    Summary:
      added some missing files to tla
    Revision:
      syslog-ng--mainline--2.0--patch-15




    new files:
     doc/.arch-ids/Makefile.am.id doc/Makefile.am
     doc/examples/.arch-ids/=id
     doc/examples/.arch-ids/syslog-ng.conf.sample.id
     doc/examples/.arch-ids/syslog-ng.conf.solaris.id
     doc/examples/syslog-ng.conf.sample
     doc/examples/syslog-ng.conf.solaris doc/man/.arch-ids/=id
     doc/man/.arch-ids/syslog-ng.8.id
     doc/man/.arch-ids/syslog-ng.conf.5.id doc/man/syslog-ng.8
     doc/man/syslog-ng.conf.5 doc/reference/.arch-ids/=id
     doc/reference/.arch-ids/syslog-ng.xml.id
     doc/reference/.arch-ids/syslog-ng.xsl.id
     doc/reference/syslog-ng.xml doc/reference/syslog-ng.xsl

    modified files:
     ChangeLog

    new directories:
     doc/examples doc/examples/.arch-ids doc/man doc/man/.arch-ids
     doc/reference doc/reference/.arch-ids


2005-01-22 00:47:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-14

    Summary:
      Updated NEWS file, released syslog-ng 1.9.3
    Revision:
      syslog-ng--mainline--2.0--patch-14

    2005-01-22  Balazs Scheidler <bazsi@balabit.hu>

    	* NEWS: updated with 1.9.3 release information

    	* configure.in: bumped version to 1.9.3


    modified files:
     ChangeLog NEWS configure.in


2005-01-22 00:32:06 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-13

    Summary:
      added automatic regeneration of the ChangeLog file
    Revision:
      syslog-ng--mainline--2.0--patch-13




    new files:
     .arch-ids/ChangeLog.id ChangeLog


2005-01-22 00:27:18 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-12

    Summary:
      Readded and updated documentation from 1.6
    Revision:
      syslog-ng--mainline--2.0--patch-12

    2005-01-22	Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l: renamed padding to pad_size to make it compatible
    	with 1.6.x, the '-' character in keywords is taken equivalent to
    	'_', fixed C code indentation to match GNU coding style

    new files:
     doc/.arch-ids/=id doc/security/.arch-ids/=id
     doc/security/.arch-ids/bof-2002-09-27.txt.id
     doc/security/.arch-ids/dos-2000-11-22.txt.id
     doc/security/bof-2002-09-27.txt
     doc/security/dos-2000-11-22.txt

    modified files:
     ChangeLog.0 Makefile.am configure.in src/cfg-grammar.y
     src/cfg-lex.l tests/functional/Makefile.am

    renamed files:
     .arch-ids/ChangeLog.id
       ==> .arch-ids/ChangeLog.0.id
     ChangeLog
       ==> ChangeLog.0

    new directories:
     doc doc/.arch-ids doc/security doc/security/.arch-ids


2005-01-16 17:48:51 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-11

    Summary:
      added some missing files to tla
    Revision:
      syslog-ng--mainline--2.0--patch-11




    new files:
     tests/functional/.arch-ids/=id
     tests/functional/.arch-ids/Makefile.am.id
     tests/functional/.arch-ids/func_test.py.id
     tests/functional/Makefile.am tests/functional/func_test.py
     tests/unit/.arch-ids/Makefile.am.id
     tests/unit/.arch-ids/test_msgparse.c.id tests/unit/Makefile.am
     tests/unit/test_msgparse.c

    new directories:
     tests/functional tests/functional/.arch-ids


2005-01-16 17:47:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-10

    Summary:
      added copyright info, beginnings of a testsuite, fixed some configure problems
    Revision:
      syslog-ng--mainline--2.0--patch-10

    2005-01-16  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: take CFLAGS environment variable into consideration
    	when running configure, link eventlog and glib statically

    	* src/fdread.c, src/fdwrite.c: handle EINTR by repeating the read
    	system call

    	* src/logreader, src/logwriter.c: handle EAGAIN correctly

    new files:
     .arch-ids/COPYING.id COPYING tests/.arch-ids/Makefile.am.id
     tests/Makefile.am

    removed files:
     tests/.arch-ids/test_msgparse.c.id tests/Makefile.am
     tests/test_msgparse.c

    modified files:
     README configure.in src/Makefile.am src/fdread.c src/fdwrite.c
     src/logreader.c src/logwriter.c

    renamed files:
     tests/.arch-ids/Makefile.am.id
       ==> tests/unit/.arch-ids/=id

    new directories:
     tests/unit tests/unit/.arch-ids


2005-01-15 19:19:05 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-9

    Summary:
      Set nonblocking mode for g_accepted sockets
    Revision:
      syslog-ng--mainline--2.0--patch-9

    2005-01-15  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_sd_accept): added g_fd_set_nonblock for
    	new sockets

    modified files:
     src/afsocket.c


2005-01-09 14:34:31 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-8

    Summary:
      fixed possible deadlocking on the internal message pipe
    Revision:
      syslog-ng--mainline--2.0--patch-8

    2005-01-09  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logsource.c: new file, separated flow control related
    	functions from logreader

    	* src/logreader.c: LogReader is derived from LogSource

    	* src/afinter.c: substituted the pipe used for internal messages
    	with a GQueue

    new files:
     src/.arch-ids/logsource.c.id src/.arch-ids/logsource.h.id
     src/logsource.c src/logsource.h

    modified files:
     src/Makefile.am src/afinter.c src/cfg-grammar.y src/logmsg.c
     src/logmsg.h src/logreader.c src/logreader.h src/messages.c
     src/messages.h


2005-01-05 12:02:01 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-7

    Summary:
      Fixed a couple of Solaris portability problems
    Revision:
      syslog-ng--mainline--2.0--patch-7

    2005-01-05  Balazs Scheidler <bazsi@balabit.hu>

    	* configure.in: added checks for -ldoor, -lsocket, -lnsl and getopt.h

    	* other files: fixed a couple of Solaris specific warnings

    modified files:
     configure.in src/cfg.c src/filter.c src/gsockaddr.c
     src/logmsg.c src/macros.c src/main.c


2005-01-03 21:12:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-6

    Summary:
      Updated NEWS file and released 1.9.2
    Revision:
      syslog-ng--mainline--2.0--patch-6




    modified files:
     NEWS


2004-12-31 14:38:06 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-5

    Summary:
      added missing macros and brace support in macro expansion
    Revision:
      syslog-ng--mainline--2.0--patch-5

    2004-12-31  Balazs Scheidler <bazsi@balabit.hu>

    	* src/macros.c: added PRI and MSGONLY macros

    	* src/templates.c: added support for braces around macros for
    	$example: "{MSG}"


    modified files:
     ChangeLog src/macros.c src/macros.h src/syslog-ng.conf
     src/templates.c


2004-12-28 23:23:29 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-4

    Summary:
      fixed couple of bugs
    Revision:
      syslog-ng--mainline--2.0--patch-4

    2004-12-29  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afprog.c (afprogram_dd_init): call setsid before launching child,
    	(afprogram_dd_deinit): deinit & unref self->writer here instead of
    	in afprogram_dd_free,

    	* src/center.c (log_center_queue): do not supply self as user_data pointer to
    	the ack_block callback as that would require adding a reference to self

    	* src/dgroup.c (log_dest_group_queue): do not supply self as user_data pointer to
    	the ack_block callback as that would require adding a reference to self

    	* src/logreader.c: instead of using self->window_size use self->options->window_size
    	so that the window is shared between all LogReaders using the same
    	options,
    	(log_reader_handle_line): add reference to self before supplying it as an argument to
     	the ack_block callback function,
    	(log_reader_msg_ack): unref the supplied logreader argument

    modified files:
     ChangeLog src/afprog.c src/center.c src/cfg-lex.l src/dgroup.c
     src/logreader.c src/logreader.h src/logwriter.c


2004-12-27 23:27:07 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-3

    Summary:
      Added a lot of copyright header, docstrings, and some fixes
    Revision:
      syslog-ng--mainline--2.0--patch-3

    2004-12-27  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.c (afsocket_sd_deinit): break circular reference
    	between self->reader and self,
    	(afsocket_sd_notify): do not destroy/unref sender in NC_CLOSE, as
    	afsocket_sd_close_connection already does that,
    	(afsocket_sd_init, afsocket_sd_deinit): removed static,
    	(afsocket_sd_free_instance): renamed from afsocket_sd_free, removed
    	static, created a new afsocket_sd_free function at the same time
    	which is set as the free_fn of AFSocketSourceDriver

    	* src/afunix.c: implemented user/group/perm settings

    	* src/cfg-grammar.y: added support for log-prefix

    	* src/cfg.c: changed default timestamp format to BSD for compatibility

    	* src/filter.c: fixed AND and OR operator evaluation, the operands
    	were not correctly saved at initialization time, thus NULL was
    	referenced at evaluation time

    	* src/logreader.c: added log_prefix support for all log readers

    	* src/logwriter.c: use log_msg_drop instead of a simple log_msg_unref

    	* src/main.c: fixed SIGCHLD handling, loop while waitpid returns > 0,
    	added tzset() call

    removed files:
     src/.arch-ids/cfg-grammar.c.id src/.arch-ids/cfg-grammar.h.id
     src/.arch-ids/cfg-lex.c.id src/cfg-grammar.c src/cfg-grammar.h
     src/cfg-lex.c

    modified files:
     ChangeLog configure.in src/affile.c src/affile.h src/afinet.c
     src/afinet.h src/afinter.c src/afinter.h src/afprog.c
     src/afprog.h src/afsocket.c src/afsocket.h src/afstreams.c
     src/afstreams.h src/afunix.c src/afunix.h src/afuser.c
     src/afuser.h src/center.c src/center.h src/cfg-grammar.y
     src/cfg-lex.l src/cfg.c src/cfg.h src/children.c
     src/children.h src/dgroup.c src/dgroup.h src/driver.c
     src/driver.h src/fdread.c src/fdread.h src/fdwrite.c
     src/fdwrite.h src/filter.c src/filter.h src/gsockaddr.c
     src/gsockaddr.h src/logmsg.c src/logmsg.h src/logpipe.c
     src/logpipe.h src/logreader.c src/logreader.h src/logwriter.c
     src/logwriter.h src/macros.c src/macros.h src/main.c
     src/memtrace.h src/messages.c src/messages.h src/misc.c
     src/misc.h src/sdriver.c src/sgroup.c src/sgroup.h
     src/syslog-names.c src/syslog-names.h src/syslog-ng.h
     src/templates.c src/templates.h src/utils.c src/utils.h


2004-12-26 23:24:29 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-2

    Summary:
      Fixed a lot of memory leaks
    Revision:
      syslog-ng--mainline--2.0--patch-2

    2004-12-27  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c (affile_sd_deinit): make sure to break circular
    	reference between self->reader and self, fixes possible memory leak,
    	(affile_sd_free): call log_drv_free_instance

    	* src/afinter.c (afinter_sd_deinit): break circular reference
    	between self->reader and self

    	* src/afprog.c (afprog_sd_free): added log_drv_free_instance

    	* src/afsocket.c (afsocket_sd_deinit): break circular reference
            between self->reader and self,
    	(afsocket_sd_free): added log_drv_free_instance,
    	(afsocket_dd_free): -"-

    	* src/afuser.c (afuser_dd_queue): free queued message,
    	(afuser_dd_free): added log_drv_free_instance

    	* src/cfg-grammar.y: unref log driver after appending to avoid
    	memory leaks

    	* src/cfg.c (cfg_reload_config): fixed possible memory leak when
    	cfg_init fails (free persist),
    	(persist_config_free): added missing free for hashtable

    	* src/dgroup.c (log_dest_group_queue): make sure each driver gets
    	its own reference to msg as each will free it on its own, also
    	added an explicit unref at the end of the function
    	(log_dest_group_new): added missing call to log_pipe_init_instance

    	* src/gsockaddr.c: removed all low-level g_message invocation,
    	errors should be reported by the caller

    	* src/logpipe.c: added assertions to _ref and _unref

    	* src/main.c (main_loop_run): added a missing g_main_loop_unref to
    	avoid memory leaks,
    	(main): call msg_syslog_started at the end of initialization to force
    	messages into the system log

    	* src/messages.c (msg_syslog_started): new function to indicate
    	that initialization is finished, messages will be written to
    	stderr instead of the internal() source if syslog is not yet
    	started to let the administrator see important
    	failure messages,
    	(msg_deinit): free the event log context, only close the error pipe
    	if it was really opened



    modified files:
     src/affile.c src/afinter.c src/afprog.c src/afsocket.c
     src/afstreams.c src/afuser.c src/cfg-grammar.c
     src/cfg-grammar.h src/cfg-grammar.y src/cfg.c src/dgroup.c
     src/gsockaddr.c src/logpipe.c src/main.c src/messages.c
     src/messages.h tests/Makefile.am


2004-12-26 20:38:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-1

    Summary:
      Removed CVS files
    Revision:
      syslog-ng--mainline--2.0--patch-1





2004-12-26 20:38:05 GMT	Balazs Scheidler <bazsi@balabit.hu>	base-0

    Summary:
      initial import
    Revision:
      syslog-ng--mainline--2.0--base-0


    (automatically generated log message)

    new files:
     AUTHORS ChangeLog Makefile.am NEWS README aclocal.m4
     autogen.sh configure.in src/Makefile.am src/affile.c
     src/affile.h src/afinet.c src/afinet.h src/afinter.c
     src/afinter.h src/afprog.c src/afprog.h src/afsocket.c
     src/afsocket.h src/afstreams.c src/afstreams.h src/afunix.c
     src/afunix.h src/afuser.c src/afuser.h src/center.c
     src/center.h src/cfg-grammar.c src/cfg-grammar.h
     src/cfg-grammar.y src/cfg-lex.c src/cfg-lex.l src/cfg.c
     src/cfg.h src/children.c src/children.h src/dgroup.c
     src/dgroup.h src/driver.c src/driver.h src/fdread.c
     src/fdread.h src/fdwrite.c src/fdwrite.h src/filter.c
     src/filter.h src/gsockaddr.c src/gsockaddr.h src/logmsg.c
     src/logmsg.h src/logpipe.c src/logpipe.h src/logreader.c
     src/logreader.h src/logwriter.c src/logwriter.h src/macros.c
     src/macros.h src/main.c src/memtrace.c src/memtrace.h
     src/messages.c src/messages.h src/misc.c src/misc.h
     src/sdriver.c src/sgroup.c src/sgroup.h src/syslog-names.c
     src/syslog-names.h src/syslog-ng.conf src/syslog-ng.h
     src/templates.c src/templates.h src/todo src/utils.c
     src/utils.h tests/Makefile.am tests/test_msgparse.c


